
From: Dave Jones <davej@redhat.com>

This patch cleans this stuff up.  The compile failure I saw is fixed in the
followup patch.

(crappy changelog, dude)

Signed-off-by: Dave Jones <davej@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-i386/mmzone.h |   20 +++++++++-----------
 1 files changed, 9 insertions(+), 11 deletions(-)

diff -puN include/asm-i386/mmzone.h~clean-up-numa-defines-in-mmzoneh include/asm-i386/mmzone.h
--- devel/include/asm-i386/mmzone.h~clean-up-numa-defines-in-mmzoneh	2005-07-06 01:01:06.000000000 -0700
+++ devel-akpm/include/asm-i386/mmzone.h	2005-07-06 01:01:06.000000000 -0700
@@ -8,20 +8,15 @@
 
 #include <asm/smp.h>
 
-#if CONFIG_NUMA
+#ifdef CONFIG_NUMA
 extern struct pglist_data *node_data[];
 #define NODE_DATA(nid)	(node_data[nid])
 
-#ifdef CONFIG_NUMA
-	#ifdef CONFIG_X86_NUMAQ
-		#include <asm/numaq.h>
-	#else	/* summit or generic arch */
-		#include <asm/srat.h>
-	#endif
-#else /* !CONFIG_NUMA */
-	#define get_memcfg_numa get_memcfg_numa_flat
-	#define get_zholes_size(n) (0)
-#endif /* CONFIG_NUMA */
+#ifdef CONFIG_X86_NUMAQ
+	#include <asm/numaq.h>
+#else	/* summit or generic arch */
+	#include <asm/srat.h>
+#endif
 
 extern int get_memcfg_numa_flat(void );
 /*
@@ -42,6 +37,9 @@ static inline void get_memcfg_numa(void)
 	get_memcfg_numa_flat();
 }
 
+#else /* !CONFIG_NUMA */
+#define get_memcfg_numa get_memcfg_numa_flat
+#define get_zholes_size(n) (0)
 #endif /* CONFIG_NUMA */
 
 #ifdef CONFIG_DISCONTIGMEM
_
